package org.academiadecodigo.bootcamp;

import org.academiadecodigo.bootcamp.grid.Grid;
import org.academiadecodigo.bootcamp.grid.GridDirection;
import org.academiadecodigo.bootcamp.grid.position.GridPosition;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public class Bullet implements Collidable {
    private GridDirection direction;
    private Grid grid;
    private GridPosition pos;

    private CollisionDetector collisionDetector;

    public Bullet(GridDirection direction, GridPosition pos) {
        this.pos = pos;
        this.direction = direction;
        move();
    }

    @Override
    public boolean isCrashed() {
        return false;
    }

    public GridPosition getPos() {
        return pos;
    }

    @Override
    public void crash() {

    }

    public void move() {
        getPos().moveInDirection(direction, 1);
    }
}
